org.jboss.resteasy.spi.interception

## Interface MessageBodyWriterContext

- Deprecated.

      @Deprecated
      public interface MessageBodyWriterContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation[]` | `getAnnotations()` Deprecated.
    `Object` | `getAttribute(String attribute)` Deprecated. Allows you to pass values back and forth between interceptors On the server side, this is the HttpRequest attributes, on the client side, this is the ClientRequest/ClientResponse attributes.
    `Object` | `getEntity()` Deprecated.
    `Type` | `getGenericType()` Deprecated.
    `MultivaluedMap<String,Object>` | `getHeaders()` Deprecated.
    `MediaType` | `getMediaType()` Deprecated.
    `OutputStream` | `getOutputStream()` Deprecated.
    `Class` | `getType()` Deprecated.
    `void` | `proceed()` Deprecated.
    `void` | `removeAttribute(String name)` Deprecated.
    `void` | `setAnnotations(Annotation[] annotations)` Deprecated.
    `void` | `setAttribute(String name, Object value)` Deprecated.
    `void` | `setEntity(Object entity)` Deprecated.
    `void` | `setGenericType(Type genericType)` Deprecated.
    `void` | `setMediaType(MediaType mediaType)` Deprecated.
    `void` | `setOutputStream(OutputStream os)` Deprecated.
    `void` | `setType(Class type)` Deprecated.

- - ### Method Detail

    - #### getEntity

          Object getEntity()

      Deprecated.

    - #### setEntity

          void setEntity(Object entity)

      Deprecated.

    - #### getType

          Class getType()

      Deprecated.

    - #### setType

          void setType(Class type)

      Deprecated.

    - #### getGenericType

          Type getGenericType()

      Deprecated.

    - #### setGenericType

          void setGenericType(Type genericType)

      Deprecated.

    - #### getAnnotations

          Annotation[] getAnnotations()

      Deprecated.

    - #### setAnnotations

          void setAnnotations(Annotation[] annotations)

      Deprecated.

    - #### getMediaType

          MediaType getMediaType()

      Deprecated.

    - #### setMediaType

          void setMediaType(MediaType mediaType)

      Deprecated.

    - #### getHeaders

          MultivaluedMap<String,Object> getHeaders()

      Deprecated.

    - #### getOutputStream

          OutputStream getOutputStream()

      Deprecated.

    - #### setOutputStream

          void setOutputStream(OutputStream os)

      Deprecated.

    - #### getAttribute

          Object getAttribute(String attribute)

      Deprecated.
      Allows you to pass values back and forth between interceptors On the server side, this is the HttpRequest attributes, on the client side, this is the ClientRequest/ClientResponse attributes.
      Returns:

    - #### setAttribute

          void setAttribute(String name,
                          Object value)

      Deprecated.

    - #### removeAttribute

          void removeAttribute(String name)

      Deprecated.

    - #### proceed

          void proceed()
                       throws IOException,
                              WebApplicationException

      Deprecated.
      Throws:
        `IOException`
        `WebApplicationException`

Copyright © 2014. All Rights Reserved.